Brivio API reference
Payment links

List ad-hoc payment links, newest first (scope: payments:read)

GET
/payment-links

Authorization

bearerAuth
headerAuthorizationBearer <token>

API key as Bearer token

Query Parameters

page?integer

Page number (1-based)

perPage?integer

Page size (max 100)

status?string

Filter by spine status

Response Body

OK

application/json
  1. response
data*array<>
meta?
error*null
curl -X GET "https://example.com/payment-links"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "token": "string",      "url": "http://example.com",      "amount_minor": 0,      "currency": "str",      "description": "string",      "customer_email": "string",      "customer_name": "string",      "status": "string",      "created_at": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "paid_at": "2019-08-24T14:15:22Z"    }  ],  "meta": {    "page": 0,    "perPage": 0,    "total": 0,    "totalPages": 0,    "nextCursor": "string"  },  "error": null}